Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class XPath.Step

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.XPath.Step

public static class XPath.Step
extends java.lang.Object
implements java.lang.Cloneable

A location path step comprised of an axis and node test.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Andy Clark, IBM

Field Summary
`XPath.Axis` | `axis` Axis.
`XPath.NodeTest` | `nodeTest` Node test.

Constructor Summary
`` | `XPath.Step(XPath.Axis axis, XPath.NodeTest nodeTest)` Constructs a step from an axis and node test.
`protected` | `XPath.Step(XPath.Step step)` Copy constructor.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### axis

    public XPath.Axis axis

  Axis.

### nodeTest

    public XPath.NodeTest nodeTest

  Node test.

Constructor Detail

### XPath.Step

    public XPath.Step(XPath.Axis axis,
                      XPath.NodeTest nodeTest)

  Constructs a step from an axis and node test.

### XPath.Step

    protected XPath.Step(XPath.Step step)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Returns a clone of this object.

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference